import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Lift here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Lift extends Actor
{
    private int speed = 1;      // speed of lift
    private int syPos = 300;    // start position of lift
    private int eyPos = 50;     // end position of lift
    
    private int yPos;
    
    
    public Lift()
    {
    }
    
    public Lift(int aSpeed, int startPosition, int endPosition)
    {
        speed = aSpeed;     // set speed of lift
        syPos = startPosition;   // Start Position
        eyPos = endPosition;
        
    }
    
    /**
     * Act - do whatever the Lift wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
        checkPosition();
        moveUp();
    }
    
    /**
     * Check if lift reached the top position
     */
    public void checkPosition()
    {
        if(getY() < eyPos) {
            resetLift();
        }
    }
    
    /**
     * Reset the lift to inital position once its reached the top
     */
    public void resetLift()
    {
        setLocation(getX(), syPos);
    }
    
    /**
     * Move lift up according to speed
     */
    public void moveUp()
    {
        setLocation(getX(), getY()-speed);
    }
    
    /**
     * Return the y Position of lift
     */
    public int getYPos()
    {
        return getY();
    }
}

