import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class snake here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class snake extends Actor
{
    private int dir = 1;
    
    //Images for snake
    private GreenfootImage img1;
    private GreenfootImage img2;
    
    public snake() {
        img1 = new GreenfootImage("snake2.png");
        img2 = new GreenfootImage("snake3.png");
    }
    
    /**
     * Act - do whatever the snake wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
        move();
    }    
    
    /**
     * Movement routine for snake
     */
    
    public void move()
    {
           checkChange(); 
           moveDirection();
           checkAnim();
    }
    
    /**
     * Check animation direction
     */
    public void checkAnim()
    {
        if(dir<0) {
            setImage(img2); 
        }
        else {
            setImage(img1);
        }
    }
    
    /**
     * Move in the Direction, left or right
     */
    public void moveDirection()
    {
        setLocation(getX()+dir, getY());
    }
    
    /**
     * Check Change
     */
    public void checkChange()
    {
        if(!isGround()) {
            dir = dir * -1;
        }
    }
        
    /**
     * IsGround Check to see player hit ground
     */
    
    public boolean isGround()
    {
        if(dir>0) {
            Actor act = getOneObjectAtOffset((getWidth()/2), (getHeight()/2), Back1.class);
            return act != null;
        }
        else {
            Actor act = getOneObjectAtOffset(-(getWidth()/2), (getHeight()/2), Back1.class);
            return act != null;            
        }
    }        
        
    
}
